Moon Calendar
Authorization Required

Moon Calendar

Generate Moon Phase Calendars for any Date Range

Retrieve a daily lunar phase calendar for a custom date range. Calculates the phase, illumination percentage, age, and emoji representation for each day within the range. Range is limited to 395 days per request.

Endpoint

GEThttps://space.veerexa.com/api/v1/astronomy/moon-calendar

Parameters

NameTypeStatusDescription
fromQueryOptionalStart date (YYYY-MM-DD). Defaults to today - 30 days.
toQueryOptionalEnd date (YYYY-MM-DD). Defaults to today + 365 days.

Request Snippet

curl -X GET "https://space.veerexa.com/api/v1/astronomy/moon-calendar?from=value&to=value" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response Sample

{
  "data": [
    {
      "date": "2026-06-06",
      "phase": "Waning Gibbous",
      "emoji": "🌖",
      "age": 21.03,
      "illumination": 62
    },
    {
      "date": "2026-06-07",
      "phase": "Third Quarter",
      "emoji": "🌗",
      "age": 22.03,
      "illumination": 51
    }
  ],
  "meta": {
    "from": "2026-06-06",
    "to": "2026-06-07",
    "count": 2,
    "calculation_method": "Mathematical (Synodic period: 29.53058867 days)"
  }
}